Index: squid/src/auth/digest/auth_digest.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/auth/digest/auth_digest.c,v
retrieving revision 1.1.20.2
retrieving revision 1.1.20.3
diff -u -r1.1.20.2 -r1.1.20.3
--- squid/src/auth/digest/auth_digest.c	30 Jan 2001 12:04:45 -0000	1.1.20.2
+++ squid/src/auth/digest/auth_digest.c	10 Feb 2001 17:32:49 -0000	1.1.20.3
@@ -616,213 +602,206 @@
 int
 authenticateDigestActive()
 {
-    return (authdigest_initialised==1) ? 1:0;
+    return (authdigest_initialised == 1) ? 1 : 0;
 }
 int
 authDigestConfigured()
 {
     if ((digestConfig != NULL) && (digestConfig->authenticate != NULL) &&
-        (digestConfig->authenticateChildren != 0) && 
-        (digestConfig->digestAuthRealm != NULL) && (digestConfig->noncemaxduration > -1))
-        return 1;
+	(digestConfig->authenticateChildren != 0) &&
+	(digestConfig->digestAuthRealm != NULL) && (digestConfig->noncemaxduration > -1))
+	return 1;
     return 0;
 }
 
 int
 authDigestAuthenticated(auth_user_request_t * auth_user_request)
 {
-    if (auth_user_request->auth_user->flags.credentials_ok==1) 
-        return 1;
+    if (auth_user_request->auth_user->flags.credentials_ok == 1)
+	return 1;
     else
-        return 0;
+	return 0;
 }
 
 /* log a digest user in
  */
 static void
-authenticateDigestAuthenticateUser(auth_user_request_t *auth_user_request, request_t *request, ConnStateData *conn, http_hdr_type type) {
+authenticateDigestAuthenticateUser(auth_user_request_t * auth_user_request, request_t * request, ConnStateData * conn, http_hdr_type type)
+{
     auth_user_t *auth_user;
-    digest_request_h * digest_request;
-    digest_user_h * digest_user;
+    digest_request_h *digest_request;
+    digest_user_h *digest_user;
 
     HASHHEX SESSIONKEY;
     HASHHEX HA2 = "";
     HASHHEX Response;
 
-    assert (auth_user_request->auth_user != NULL);
-    auth_user=auth_user_request->auth_user;
+    assert(auth_user_request->auth_user != NULL);
+    auth_user = auth_user_request->auth_user;
 
     /* if the check has corrupted the user, just return */
-    if (auth_user_request->auth_user->flags.credentials_ok==3)
-    {
-        return;
+    if (auth_user_request->auth_user->flags.credentials_ok == 3) {
+	return;
     }
-    
     assert(auth_user->scheme_data != NULL);
     digest_user = auth_user->scheme_data;
- 
+
     assert(auth_user_request->scheme_data != NULL);
-    digest_request=auth_user_request->scheme_data;
+    digest_request = auth_user_request->scheme_data;
 
     /* do we have the HA1 */
-    if (!digest_user->HA1created)
-    {
-        auth_user_request->auth_user->flags.credentials_ok=2;
-        return;
-    }
-    if (digest_request->nonce==NULL)
-    {
-        /* this isn't a nonce we issued */
-        /* TODO: record breaks in authentication at the request level 
-         * This is probably best done with support changes at the auth_rewrite level -RBC
-         * and can wait for auth_rewrite V2.
-         */
-        auth_user->flags.credentials_ok=3;
-        return;
-    }
-    DigestCalcHA1(digest_request->algorithm, NULL,NULL,NULL,
-        authenticateDigestNonceNonceb64(digest_request->nonce),
-        digest_request->cnonce,
-        digest_user->HA1,SESSIONKEY);
+    if (!digest_user->HA1created) {
+	auth_user_request->auth_user->flags.credentials_ok = 2;
+	return;
+    }
+    if (digest_request->nonce == NULL) {
+	/* this isn't a nonce we issued */
+	/* TODO: record breaks in authentication at the request level 
+	 * This is probably best done with support changes at the auth_rewrite level -RBC
+	 * and can wait for auth_rewrite V2.
+	 */
+	auth_user->flags.credentials_ok = 3;
+	return;
+    }
+    DigestCalcHA1(digest_request->algorithm, NULL, NULL, NULL,
+	authenticateDigestNonceNonceb64(digest_request->nonce),
+	digest_request->cnonce,
+	digest_user->HA1, SESSIONKEY);
     DigestCalcResponse(SESSIONKEY, authenticateDigestNonceNonceb64(digest_request->nonce),
-        digest_request->nc, digest_request->cnonce, digest_request->qop, 
-        RequestMethodStr[request->method], digest_request->uri, HA2, Response);
+	digest_request->nc, digest_request->cnonce, digest_request->qop,
+	RequestMethodStr[request->method], digest_request->uri, HA2, Response);
 
-    debug(29,9)("\nResponse = '%s'\n"
-                  "squid is = '%s'\n" , digest_request->response,Response);
-    
-    if (strcasecmp(digest_request->response,Response))
-    {
-        auth_user->flags.credentials_ok=3;
-        return;
-    }
+    debug(29, 9) ("\nResponse = '%s'\n"
+	"squid is = '%s'\n", digest_request->response, Response);
 
-    auth_user->flags.credentials_ok=1;
+    if (strcasecmp(digest_request->response, Response)) {
+	auth_user->flags.credentials_ok = 3;
+	return;
+    }
+    auth_user->flags.credentials_ok = 1;
     /* password was checked and did match */
     debug(29, 4) ("authenticateDigestAuthenticateuser: user '%s' validated OK\n",
-        digest_user->username);
+	digest_user->username);
 
     /* auth_user is now linked, we reset these values
      * after external auth occurs anyway */
-    auth_user->expiretime =  current_time.tv_sec;
+    auth_user->expiretime = current_time.tv_sec;
     auth_user->ip_expiretime = squid_curtime;
     return;
 }
 
-int authenticateDigestDirection(auth_user_request_t *auth_user_request) {
-    digest_request_h * digest_request;
+int 
+authenticateDigestDirection(auth_user_request_t * auth_user_request)
+{
+    digest_request_h *digest_request;
 /* null auth_user is checked for by authenticateDirection */
     switch (auth_user_request->auth_user->flags.credentials_ok) {
-        case 0: /* not checked */
-            return -1;
-        case 1: /* checked & ok */
-            digest_request=auth_user_request->scheme_data;
-            if (authDigestNonceIsStale(digest_request->nonce))
-            /* send stale response to the client agent */
-                return -2;
-            return 0;
-        case 2: /* partway through checking. */
-            return -1;
-        case 3: /* authentication process failed. */
-            return -2;
+    case 0:			/* not checked */
+	return -1;
+    case 1:			/* checked & ok */
+	digest_request = auth_user_request->scheme_data;
+	if (authDigestNonceIsStale(digest_request->nonce))
+	    /* send stale response to the client agent */
+	    return -2;
+	return 0;
+    case 2:			/* partway through checking. */
+	return -1;
+    case 3:			/* authentication process failed. */
+	return -2;
     }
     return -2;
 }
 
 /* add the [proxy]authorisation header */
 void
-authDigestAddHeader(auth_user_request_t *auth_user_request, HttpReply *rep, int accel)
+authDigestAddHeader(auth_user_request_t * auth_user_request, HttpReply * rep, int accel)
 {
     int type;
     digest_request_h *digest_request;
     if (!auth_user_request)
-        return;
-    digest_request=auth_user_request->scheme_data;
+	return;
+    digest_request = auth_user_request->scheme_data;
     /* don't add to authentication error pages */
-    if ((!accel && rep->sline.status==HTTP_PROXY_AUTHENTICATION_REQUIRED)
-    || (accel && rep->sline.status==HTTP_UNAUTHORIZED))
-         return;
+    if ((!accel && rep->sline.status == HTTP_PROXY_AUTHENTICATION_REQUIRED)
+	|| (accel && rep->sline.status == HTTP_UNAUTHORIZED))
+	return;
     type = accel ? HDR_AUTHENTICATION_INFO : HDR_PROXY_AUTHENTICATION_INFO;
 
 #if WAITING_FOR_TE
     /* test for http/1.1 transfer chunked encoding */
     if (chunkedtest)
-        return;
+	return;
 #endif
 
-    if ((digestConfig->authenticate) && authDigestNonceLastRequest(digest_request->nonce))
-    {
-        digest_request->flags.authinfo_sent=1;
-        debug(29, 9) ("authDigestAddHead: Sending type:%d header: 'nextnonce=\"%s\"",type,authenticateDigestNonceNonceb64(digest_request->nonce));
-        httpHeaderPutStrf(&rep->header, type, "nextnonce=\"%s\"",authenticateDigestNonceNonceb64(digest_request->nonce));
+    if ((digestConfig->authenticate) && authDigestNonceLastRequest(digest_request->nonce)) {
+	digest_request->flags.authinfo_sent = 1;
+	debug(29, 9) ("authDigestAddHead: Sending type:%d header: 'nextnonce=\"%s\"", type, authenticateDigestNonceNonceb64(digest_request->nonce));
+	httpHeaderPutStrf(&rep->header, type, "nextnonce=\"%s\"", authenticateDigestNonceNonceb64(digest_request->nonce));
     }
-    
 }
 
 #if WAITING_FOR_TE
 /* add the [proxy]authorisation header */
 void
-authDigestAddTrailer(auth_user_request_t *auth_user_request, HttpReply *rep, int accel)
+authDigestAddTrailer(auth_user_request_t * auth_user_request, HttpReply * rep, int accel)
 {
     int type;
     digest_request_h *digest_request;
     if (!auth_user_request)
-        return;
-    digest_request=auth_user_request->scheme_data;
+	return;
+    digest_request = auth_user_request->scheme_data;
     /* has the header already been send? */
     if (digest_request->flags.authinfo_sent)
-        return;
+	return;
     /* don't add to authentication error pages */
-    if ((!accel && rep->sline.status==HTTP_PROXY_AUTHENTICATION_REQUIRED)
-    || (accel && rep->sline.status==HTTP_UNAUTHORIZED))
-         return;
+    if ((!accel && rep->sline.status == HTTP_PROXY_AUTHENTICATION_REQUIRED)
+	|| (accel && rep->sline.status == HTTP_UNAUTHORIZED))
+	return;
     type = accel ? HDR_AUTHENTICATION_INFO : HDR_PROXY_AUTHENTICATION_INFO;
 
-    if ((digestConfig->authenticate) && authDigestNonceLastRequest(digest_request->nonce))
-    {
-        debug(29, 9) ("authDigestAddTrailer: Sending type:%d header: 'nextnonce=\"%s\"",type, authenticateDigestNonceNonceb64(digest_request->nonce));
-        httpTrailerPutStrf(&rep->header, type, "nextnonce=\"%s\"",authenticateDigestNonceNonceb64(digest_request->nonce));
+    if ((digestConfig->authenticate) && authDigestNonceLastRequest(digest_request->nonce)) {
+	debug(29, 9) ("authDigestAddTrailer: Sending type:%d header: 'nextnonce=\"%s\"", type, authenticateDigestNonceNonceb64(digest_request->nonce));
+	httpTrailerPutStrf(&rep->header, type, "nextnonce=\"%s\"", authenticateDigestNonceNonceb64(digest_request->nonce));
     }
-
 }
 #endif
 
 /* add the [www-|Proxy-]authenticate header on a 407 or 401 reply */
 void
-authenticateDigestFixHeader(auth_user_request_t *auth_user_request, HttpReply *rep, http_hdr_type type, request_t * request){
+authenticateDigestFixHeader(auth_user_request_t * auth_user_request, HttpReply * rep, http_hdr_type type, request_t * request)
+{
     digest_request_h *digest_request;
-    int stale=0;
+    int stale = 0;
     digest_nonce_h *nonce = authenticateDigestNonceNew();
-    if (auth_user_request && authDigestAuthenticated(auth_user_request) && auth_user_request->scheme_data)
-    {
-        digest_request=auth_user_request->scheme_data;
-        stale=authDigestNonceIsStale(digest_request->nonce);
+    if (auth_user_request && authDigestAuthenticated(auth_user_request) && auth_user_request->scheme_data) {
+	digest_request = auth_user_request->scheme_data;
+	stale = authDigestNonceIsStale(digest_request->nonce);
     }
-    if (digestConfig->authenticate){
-        debug(29, 9) ("authenticateFixHeader: Sending type:%d header: 'Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s\n",type,digestConfig->digestAuthRealm,authenticateDigestNonceNonceb64(nonce),QOP_AUTH, stale ? "true" : "false");
-        /* in the future, for WWW auth we may want to support the domain entry */
-        httpHeaderPutStrf(&rep->header, type, "Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s",digestConfig->digestAuthRealm,authenticateDigestNonceNonceb64(nonce),QOP_AUTH, stale ? "true" : "false");
+    if (digestConfig->authenticate) {
+	debug(29, 9) ("authenticateFixHeader: Sending type:%d header: 'Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s\n", type, digestConfig->digestAuthRealm, authenticateDigestNonceNonceb64(nonce), QOP_AUTH, stale ? "true" : "false");
+	/* in the future, for WWW auth we may want to support the domain entry */
+	httpHeaderPutStrf(&rep->header, type, "Digest realm=\"%s\", nonce=\"%s\", qop=\"%s\", stale=%s", digestConfig->digestAuthRealm, authenticateDigestNonceNonceb64(nonce), QOP_AUTH, stale ? "true" : "false");
     }
 }
 
 void
-authenticateDigestUserFree(auth_user_t *auth_user) {
-    digest_user_h * digest_user = auth_user->scheme_data;
-    dlink_node *link,*tmplink;
-    debug(29,9) ("authenticateDigestFreeUser: Clearing Digest scheme data\n");
+authenticateDigestUserFree(auth_user_t * auth_user)
+{
+    digest_user_h *digest_user = auth_user->scheme_data;
+    dlink_node *link, *tmplink;
+    debug(29, 9) ("authenticateDigestFreeUser: Clearing Digest scheme data\n");
     if (!digest_user)
-        return;
+	return;
     safe_free(digest_user->username);
 
-    link=digest_user->nonces.head;
-    while (link)
-    {
-        tmplink=link;
-        link=link->next;
-        dlinkDelete(tmplink, &digest_user->nonces);
-        authDigestNoncePurge(tmplink->data); 
-        authDigestNonceUnlink(tmplink->data);
-        dlinkNodeDelete(tmplink);
+    link = digest_user->nonces.head;
+    while (link) {
+	tmplink = link;
+	link = link->next;
+	dlinkDelete(tmplink, &digest_user->nonces);
+	authDigestNoncePurge(tmplink->data);
+	authDigestNonceUnlink(tmplink->data);
+	dlinkNodeDelete(tmplink);
     }
 
     memPoolFree(digest_user_pool, auth_user->scheme_data);
@@ -846,16 +825,15 @@
 	    reply = NULL;
     }
     assert(r->auth_user_request != NULL);
-    auth_user_request=r->auth_user_request; 
+    auth_user_request = r->auth_user_request;
     assert(auth_user_request->scheme_data != NULL);
-    digest_request = auth_user_request->scheme_data;   
+    digest_request = auth_user_request->scheme_data;
     digest_user = auth_user_request->auth_user->scheme_data;
     if (reply && (strncasecmp(reply, "ERR", 3) == 0))
-        auth_user_request->auth_user->flags.credentials_ok = 3;
-    else
-    {
-        CvtBin(reply,digest_user->HA1);
-        digest_user->HA1created=1;
+	auth_user_request->auth_user->flags.credentials_ok = 3;
+    else {
+	CvtBin(reply, digest_user->HA1);
+	digest_user->HA1created = 1;
     }
     valid = cbdataValid(r->data);
     if (valid)
@@ -867,94 +845,80 @@
 /* Initialize helpers and the like for this auth scheme. Called AFTER parsing the
  * config file */
 static void
-authDigestInit(authScheme *scheme)
+authDigestInit(authScheme * scheme)
 {
     static int init = 0;
-    if (digestConfig->authenticate){
-        authDigestUserSetup();
-        authDigestRequestSetup();
-        authenticateDigestNonceSetup();
-        authdigest_initialised = 1;
-        if (digestauthenticators == NULL)
-            digestauthenticators = helperCreate("digestauthenticator");
-        digestauthenticators->cmdline = digestConfig->authenticate;
-        digestauthenticators->n_to_start = digestConfig->authenticateChildren;
-        digestauthenticators->ipc_type = IPC_TCP_SOCKET;
-        helperOpenServers(digestauthenticators);
-        if (!init)
-        {
-            cachemgrRegister("digestauthenticator", "User Authenticator Stats",
-                authenticateDigestStats, 0, 1);
-            init++;
-        }
-    CBDATA_INIT_TYPE(authenticateStateData);
+    if (digestConfig->authenticate) {
+	authDigestUserSetup();
+	authDigestRequestSetup();
+	authenticateDigestNonceSetup();
+	authdigest_initialised = 1;
+	if (digestauthenticators == NULL)
+	    digestauthenticators = helperCreate("digestauthenticator");
+	digestauthenticators->cmdline = digestConfig->authenticate;
+	digestauthenticators->n_to_start = digestConfig->authenticateChildren;
+	digestauthenticators->ipc_type = IPC_TCP_SOCKET;
+	helperOpenServers(digestauthenticators);
+	if (!init) {
+	    cachemgrRegister("digestauthenticator", "User Authenticator Stats",
+		authenticateDigestStats, 0, 1);
+	    init++;
+	}
+	CBDATA_INIT_TYPE(authenticateStateData);
     }
 }
 
 
 /* free any allocated configuration details */
 void
-authDigestFreeConfig(authScheme *scheme)
+authDigestFreeConfig(authScheme * scheme)
 {
-    if (digestConfig==NULL)
-        return;
-    assert(digestConfig==scheme->scheme_data);
+    if (digestConfig == NULL)
+	return;
+    assert(digestConfig == scheme->scheme_data);
     if (digestConfig->authenticate)
-        wordlistDestroy(&digestConfig->authenticate);
+	wordlistDestroy(&digestConfig->authenticate);
     if (digestConfig->digestAuthRealm)
-        safe_free(digestConfig->digestAuthRealm);
-   xfree(digestConfig);
-   digestConfig=NULL;
+	safe_free(digestConfig->digestAuthRealm);
+    xfree(digestConfig);
+    digestConfig = NULL;
 }
 
 static void
-authDigestParse(authScheme *scheme, int n_configured, char *param_str)
+authDigestParse(authScheme * scheme, int n_configured, char *param_str)
 {
-    if (scheme->scheme_data==NULL)
-    {
-        assert (digestConfig==NULL);
-        /* this is the first param to be found */
-        scheme->scheme_data=xmalloc(sizeof(auth_digest_config));
-        memset(scheme->scheme_data, 0, sizeof(auth_digest_config));
-        digestConfig=scheme->scheme_data;
-        digestConfig->authenticateChildren=5;
-        /* 5 minutes */
-        digestConfig->nonceGCInterval=5*60;
-        /* 30 minutes */
-        digestConfig->noncemaxduration=30*60;
- 	/* 50 requests */
-	digestConfig->noncemaxuses=50;
-    }
-    digestConfig=scheme->scheme_data;
-    if (strcasecmp(param_str,"program")==0)
-    {
+    if (scheme->scheme_data == NULL) {
+	assert(digestConfig == NULL);
+	/* this is the first param to be found */
+	scheme->scheme_data = xmalloc(sizeof(auth_digest_config));
+	memset(scheme->scheme_data, 0, sizeof(auth_digest_config));
+	digestConfig = scheme->scheme_data;
+	digestConfig->authenticateChildren = 5;
+	/* 5 minutes */
+	digestConfig->nonceGCInterval = 5 * 60;
+	/* 30 minutes */
+	digestConfig->noncemaxduration = 30 * 60;
+	/* 50 requests */
+	digestConfig->noncemaxuses = 50;
+    }
+    digestConfig = scheme->scheme_data;
+    if (strcasecmp(param_str, "program") == 0) {
 	if (digestConfig->authenticate)
 	    wordlistDestroy(&digestConfig->authenticate);
-        parse_wordlist(&digestConfig->authenticate);
-        requirePathnameExists("authparam digest program",digestConfig->authenticate->key);
-    }
-    else if (strcasecmp(param_str,"children")==0)
-    {
-        parse_int(&digestConfig->authenticateChildren);
-    }
-    else if (strcasecmp(param_str,"realm")==0)
-    {
-        parse_eol(&digestConfig->digestAuthRealm);
-    }
-    else if (strcasecmp(param_str,"nonce_garbage_interval")==0)
-    {
-        parse_time_t(&digestConfig->nonceGCInterval);
-    }
-    else if (strcasecmp(param_str,"nonce_max_duration")==0)
-    {
-        parse_time_t(&digestConfig->noncemaxduration);
-    }
-    else if (strcasecmp(param_str,"nonce_max_count")==0)
-    {
-        parse_int(&digestConfig->noncemaxuses);
-    } else
-    {
-        debug(28,0)("unrecognised digest auth scheme parameter '%s'\n",param_str);
+	parse_wordlist(&digestConfig->authenticate);
+	requirePathnameExists("authparam digest program", digestConfig->authenticate->key);
+    } else if (strcasecmp(param_str, "children") == 0) {
+	parse_int(&digestConfig->authenticateChildren);
+    } else if (strcasecmp(param_str, "realm") == 0) {
+	parse_eol(&digestConfig->digestAuthRealm);
+    } else if (strcasecmp(param_str, "nonce_garbage_interval") == 0) {
+	parse_time_t(&digestConfig->nonceGCInterval);
+    } else if (strcasecmp(param_str, "nonce_max_duration") == 0) {
+	parse_time_t(&digestConfig->noncemaxduration);
+    } else if (strcasecmp(param_str, "nonce_max_count") == 0) {
+	parse_int(&digestConfig->noncemaxuses);
+    } else {
+	debug(28, 0) ("unrecognised digest auth scheme parameter '%s'\n", param_str);
     }
 }
 
@@ -966,102 +930,101 @@
     helperStats(sentry, digestauthenticators);
 }
 
-/* NonceUserUnlink: remove the reference to auth_user and unlink the node from the list*/
+/* NonceUserUnlink: remove the reference to auth_user and unlink the node from the list */
 
 void
-authDigestNonceUserUnlink(digest_nonce_h *nonce)
+authDigestNonceUserUnlink(digest_nonce_h * nonce)
 {
-    digest_user_h * digest_user;
-    dlink_node *link,*tmplink;
+    digest_user_h *digest_user;
+    dlink_node *link, *tmplink;
     if (!nonce)
-        return;
+	return;
     if (!nonce->auth_user)
-        return;
+	return;
     digest_user = nonce->auth_user->scheme_data;
     /* unlink from the user list. Yes we're crossing structures but this is the only 
      * time this code is needed
      */
-    link=digest_user->nonces.head;
-    while (link)
-    {
-        tmplink=link;
-        link=link->next;
-        if (tmplink->data==nonce)
-        {
-            dlinkDelete(tmplink, &digest_user->nonces);
-            authDigestNonceUnlink(tmplink->data);
-            dlinkNodeDelete(tmplink);
-            link=NULL;
-        }
+    link = digest_user->nonces.head;
+    while (link) {
+	tmplink = link;
+	link = link->next;
+	if (tmplink->data == nonce) {
+	    dlinkDelete(tmplink, &digest_user->nonces);
+	    authDigestNonceUnlink(tmplink->data);
+	    dlinkNodeDelete(tmplink);
+	    link = NULL;
+	}
     }
     /* this reference to auth_user was not locked because freeeing the auth_user frees
      * the nonce too. 
      */
-    nonce->auth_user=NULL;
+    nonce->auth_user = NULL;
 }
 
 /* authDigestUserLinkNonce: add a nonce to a given user's struct */
 
 void
-authDigestUserLinkNonce(auth_user_t *auth_user, digest_nonce_h *nonce)
+authDigestUserLinkNonce(auth_user_t * auth_user, digest_nonce_h * nonce)
 {
     dlink_node *node;
-    digest_user_h * digest_user;
+    digest_user_h *digest_user;
     if (!auth_user || !nonce)
-        return;
+	return;
     if (!auth_user->scheme_data)
-        return;
-    digest_user=auth_user->scheme_data;
-    node=digest_user->nonces.head;
+	return;
+    digest_user = auth_user->scheme_data;
+    node = digest_user->nonces.head;
     while (node && (node->data != nonce))
-        node=node->next;
+	node = node->next;
     if (node)
-        return;
-    node=dlinkNodeNew();
-    dlinkAddTail(nonce,node,&digest_user->nonces);
+	return;
+    node = dlinkNodeNew();
+    dlinkAddTail(nonce, node, &digest_user->nonces);
     authDigestNonceLink(nonce);
     /* ping this nonce to this auth user */
-    assert ((nonce->auth_user==NULL) || (nonce->auth_user=auth_user));
+    assert((nonce->auth_user == NULL) || (nonce->auth_user = auth_user));
     /* we don't lock this reference because removing the auth_user removes the 
      * hash too. Of course if that changes we're stuffed so read the code huh?
      */
-    nonce->auth_user=auth_user;
+    nonce->auth_user = auth_user;
 }
 
 /* authenticateDigestUsername: return a pointer to the username in the */
 char *
-authenticateDigestUsername(auth_user_t *auth_user) {
-    digest_user_h * digest_user = auth_user->scheme_data;
+authenticateDigestUsername(auth_user_t * auth_user)
+{
+    digest_user_h *digest_user = auth_user->scheme_data;
     if (digest_user)
-            return digest_user->username;
+	return digest_user->username;
     return NULL;
 }
 
 /* setup the necessary info to log the username */
 void
-authDigestLogUsername(auth_user_request_t *auth_user_request, char * username)
+authDigestLogUsername(auth_user_request_t * auth_user_request, char *username)
 {
-    auth_user_t * auth_user;
+    auth_user_t *auth_user;
     digest_user_h *digest_user;
     dlink_node *node;
-    
+
     /* log the username */
-    debug(29,9)("authBasicDecodeAuth: Creating new user for logging '%s'\n",username);
+    debug(29, 9) ("authBasicDecodeAuth: Creating new user for logging '%s'\n", username);
     /* new auth_user */
-    auth_user=authenticateAuthUserNew("digest");
+    auth_user = authenticateAuthUserNew("digest");
     /* new scheme data */
-    digest_user=authDigestUserNew();
+    digest_user = authDigestUserNew();
     /* save the credentials */
-    digest_user->username=username;
+    digest_user->username = username;
     /* link the scheme data in */
-    auth_user->scheme_data=digest_user;
+    auth_user->scheme_data = digest_user;
     /* set the auth_user type */
-    auth_user->auth_type=AUTH_BROKEN;
+    auth_user->auth_type = AUTH_BROKEN;
     /* link the request to the user */
-    auth_user_request->auth_user=auth_user;
+    auth_user_request->auth_user = auth_user;
     /* lock for the auth_user_request link */
     authenticateAuthUserLock(auth_user);
-    node=dlinkNodeNew();
+    node = dlinkNodeNew();
     dlinkAdd(auth_user_request, node, &auth_user->requests);
 }
 
